# Class VulkanLWJGLWriteDescriptorSets

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLWriteDescriptorSets

public final class VulkanLWJGLWriteDescriptorSets extends Object
Functions to pack descriptor set write infos.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkWriteDescriptorSet`
  `pack(org.lwjgl.system.MemoryStack stack, VulkanWriteDescriptorSet info)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkWriteDescriptorSet`
  `packInto(org.lwjgl.system.MemoryStack stack, VulkanWriteDescriptorSet source, org.lwjgl.vulkan.VkWriteDescriptorSet target)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkWriteDescriptorSet.Buffer`
  `packList(org.lwjgl.system.MemoryStack stack, List<VulkanWriteDescriptorSet> infos)`
  Pack a list of structures.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pack

    public static org.lwjgl.vulkan.VkWriteDescriptorSet pack(org.lwjgl.system.MemoryStack stack, VulkanWriteDescriptorSet info) throws VulkanException
    Pack a structure.
    Parameters:
      `stack` - A stack
      `info` - A structure
    Returns:
      A packed structure
    Throws:
      `VulkanException` - On errors

  - ### packInto

    public static org.lwjgl.vulkan.VkWriteDescriptorSet packInto(org.lwjgl.system.MemoryStack stack, VulkanWriteDescriptorSet source, org.lwjgl.vulkan.VkWriteDescriptorSet target) throws VulkanException
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - A structure
      `target` - The output structure
    Returns:
      A packed structure
    Throws:
      `VulkanException` - On errors

  - ### packList

    public static org.lwjgl.vulkan.VkWriteDescriptorSet.Buffer packList(org.lwjgl.system.MemoryStack stack, List<VulkanWriteDescriptorSet> infos) throws VulkanException
    Pack a list of structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structure
    Returns:
      A packed array
    Throws:
      `VulkanException` - On errors